package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumBoxStatus {

    VALID(0, "有效"),
    INVALID(1, "无效");
    public static EnumBoxStatus getEnum(Integer code) {
        for (EnumBoxStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBoxStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
